/* ---------------------------------------------------- */
/*     заголовочный файл сканера кнопок smart_led.h     */
//-------------------------------------------------------
#ifndef _DS18B20_H  // Блокируем повторное включение этого модуля
#define _DS18B20_H
//------------------------------------------------------------------------
// обязательная "магическая добавка" (начало)
#if ARDUINO >= 100
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif
// обязательная "магическая добавка" (конец)
//------------------------------------------------------------------------
#include <OneWire.h> //библиотека OneWire
//------------------------------------------------------------------------
// вывод подключения данных датчика DS18B20
extern const byte DQ;
// массив данных блокнота
extern byte data[];
// массив данных для операций с адресом может не использоваться,
// если датчик всего один и не требуется фиксированной
// идентификации
extern byte addr[];
//------------------------------------------------------------------
// декларирование объекта класса, общего для группы файлов
extern OneWire my_DS;
//------------------------------------------------------------------

//------------------------------------------------------------------------
#endif         // Закрывающий #endif к блокировке повторного включения

//-------------конец файла/end of file---------------------
