/* ---------------------------------------------------- */
/*     заголовочный файл сканера кнопок smart_led.h     */
//-------------------------------------------------------
#ifndef _SMART_LED_H  // Блокируем повторное включение этого модуля
#define _SMART_LED_H
//------------------------------------------------------------------------
// обязательная "магическая добавка" (начало)
#if ARDUINO >= 100
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif
// обязательная "магическая добавка" (конец)
//------------------------------------------------------------------------
#include <Adafruit_NeoPixel.h> //библиотека для WS2812
//------------------------------------------------------------------------
// контрольный светодиод Smart_Led типa WS2812 выход,
//определяется библиотекой
extern const byte Smart_Led;
//------------------------------------------------------------------
// декларирование объекта класса, общего для группы файлов
extern Adafruit_NeoPixel my_Smart_Led;
//------------------------------------------------------------------

//------------------------------------------------------------------------
#endif         // Закрывающий #endif к блокировке повторного включения

//-------------конец файла/end of file---------------------
